#Added by slkbuild 1.4.3
dotnew() {
        NEW="${1}.new"
        OLD="$1"
        if [ ! -e $OLD ]; then
                mv $NEW $OLD
        elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
                rm $NEW
        fi
}
dotnew etc/ntp.conf
dotnew etc/ntp/ntp.keys
doinst() {
	if [ -r etc/rc.d/rc.ntpd -a -r etc/rc.d/rc.ntpd.new ]; then
		chmod --reference=etc/rc.d/rc.ntpd etc/rc.d/rc.ntpd.new
	fi
	mv etc/rc.d/rc.ntpd.new etc/rc.d/rc.ntpd
}
doinst
